{
	"run": [
		[
			"lg",
			"=",
			"wlgRec.res.resource_id"
		],
		[
			"endDateTime",
			"=",
			[
				"currentDateTime"
			]
		],
		[
			"daysToCheckBefore",
			"=",
			-120
		],
		[
			"startDateTime",
			"=",
			[
				"daysAdd",
				[
					"endDateTime",
					"daysToCheckBefore"
				]
			]
		],
		[
			"wpaArrAll",
			"=",
			[
				"wpaMachineData",
				[
					"lg",
					"startDateTime",
					"endDateTime"
				]
			]
		],
		[
			"lastDateTime",
			"=",
			[
				"wpaLastDateTime",
				[
					"wpaArrAll"
				]
			]
		],
		[
			"if",
			[
				"lastDateTime",
				">",
				"startDateTime"
			],
			[
				[
					"lastDateTimeToStartTime"
				]
			],
			"else",
			[
				[
					"startDateTimeToStartTime"
				]
			]
		],
		[
			"machineDataArr",
			"=",
			[
				"loadMachineData",
				[
					"lg",
					"startTime",
					"endDateTime"
				]
			]
		],
		[
			"wpaStartedArr",
			"=",
			[
				"wpaStartedData",
				[
					"wpaArrAll"
				]
			]
		],
		[
			[
				"wpaNewArr",
				"wpaUpdateArr"
			],
			"=",
			[
				"machineDataToWpa",
				[
					"4d",
					"machineDataArr",
					"wpaStartedArr",
					"lg"
				]
			]
		],
		[
			[
				"wpaNewArr",
				"wpaUpdateArr"
			],
			"=",
			[
				"stopEarlierStarted",
				[
					"wpaNewArr",
					"wpaUpdateArr",
					"wpaStartedArr"
				]
			]
		],
		[
			"capEnd",
			"=",
			[
				"daysAdd",
				[
					"endDateTime",
					1
				]
			]
		],
		[
			"wpaNewArr",
			"=",
			[
				"updateShift",
				[
					"wpaNewArr"
				]
			]
		],
		[
			"wpaUpdateArr",
			"=",
			[
				"updateShift",
				[
					"wpaUpdateArr"
				]
			]
		],
		[
			"wpaCombinedArr",
			"=",
			[
				"arrayCombine",
				[
					[
						"wpaNewArr",
						"wpaUpdateArr"
					]
				]
			]
		],
		[
			"wpaCombinedArr",
			"=",
			[
				"addOpenWpa",
				[
					"wpaStartedArr",
					"wpaCombinedArr"
				]
			]
		],
		[
			"splittedArr",
			"=",
			"wpaCombinedArr"
		],
		[
			"splittedArr",
			"=",
			[
				"wpaSplitToShift",
				[
					"wpaCombinedArr"
				]
			]
		],
		[
			"splittedArr",
			"=",
			[
				"updateWorkTime",
				[
					"splittedArr"
				]
			]
		],
		[
			"splittedArr",
			"=",
			[
				"updateWpaCalculatedField",
				[
					"4d",
					"splittedArr"
				]
			]
		],
		[
			[
				"splittedArr",
				"wosSaveArr"
			],
			"=",
			[
				"checkLinkedWos",
				[
					"4d",
					"splittedArr"
				]
			]
		],
		[
			[
				"splittedArr",
				"woSaveArr"
			],
			"=",
			[
				"checkLinkedWo",
				[
					"4d",
					"splittedArr"
				]
			]
		],
		[
			"errWpa",
			"=",
			[
				"saveToDatabase",
				[
					"4d",
					"splittedArr"
				]
			]
		],
		[
			"errWos",
			"=",
			[
				"saveToDatabase",
				[
					"4d",
					"wosSaveArr"
				]
			]
		],
		[
			"errWo",
			"=",
			[
				"saveToDatabase",
				[
					"4d",
					"woSaveArr"
				]
			]
		],
		[
			"saveOtherThanSelectedTag",
			[
				"machine_to_wpa_end",
				[
					{
						"string": "capArr"
					},
					{
						"string": "wlgTbl"
					},
					{
						"string": "wpaArrAll"
					}
				]
			]
		]
	],
	"function": {
		"lastDateTimeToStartTime": [
			[
				"startTime",
				"=",
				"lastDateTime"
			]
		],
		"startDateTimeToStartTime": [
			[
				"startTime",
				"=",
				"startDateTime"
			]
		]
	},
	"name": "run_code/machine_data_to_work_phase_actual.json"
}